Name:       fusiondirectory-tools
Version:    1.0
Release:    1
Summary:    Tools to manage FusionDirectory
License:    GPL-2.0-or-later
URL:        https://www.fusiondirectory.org
Source0     https://gitlab.fusiondirectory.org/fusiondirectory/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
Buildarch:  noarch


Requires:   fusiondirectory-integrator >= 1.0
Requires:   gettext
Requires:   php-common >= 5.4
Requires:   php-ldap >= 5.4
Requires:   php-process >= 5.4
Requires:   php-xml >= 5.4
Requires:   php-pecl-yaml


%description
FusionDirectory Tools is a set of applications used to manage various aspect of
Fusiondirectory from the console.


%prep
%autosetup

# Fix Smarty path
sed -i \
  -e 's!/usr/share/php/smarty3/Smarty.class.php!/usr/share/php/Smarty/Smarty.class.php!' \
  src/FusionDirectory/Tools/Setup.php


%build
# Nothing to build


%install
install -d -m 0755 \
  %{buildroot}%{_sbindir}/ \
  %{buildroot}%{_datadir}/php/FusionDirectory/FusionDirectory/Tools/
install -p -m 0755 bin/* %{buildroot}%{_sbindir}/
install -p -m 0644 src/FusionDirectory/Tools/* \
  %{buildroot}%{_datadir}/php/FusionDirectory/FusionDirectory/Tools/


%files
%doc AUTHORS.md Changelog.md README.md
%{_sbindir}/fusiondirectory-*-manager
%{_datadir}/php/FusionDirectory/


%changelog
* Mon Sep 25 2023 Xavier Bachelot <xaviert@bachelot.org> - 1.0-1
- Initial specfile
